UPDATE VS4TGLTrans Set TGLTCancelStatus=(SELECT TRCNCancelStatus FROM VS4TARCreditNote WHERE VS4TARCreditNote.trcnno=VS4TGLTrans.tgltno)
WHERE TGLTInputSource='CN'
GO
UPDATE VS4TGLTrans Set TGLTCancelStatus=(SELECT TPCNCancelStatus FROM VS4TAPCreditNote WHERE VS4TAPCreditNote.tpcnno=VS4TGLTrans.tgltno)
WHERE TGLTInputSource='PCN'
GO
UPDATE VS4TGLTrans Set TGLTCancelStatus=(SELECT TDBNCancelStatus FROM VS4TARDebitNote WHERE VS4TARDebitNote.tdbnno=VS4TGLTrans.tgltno)
WHERE TGLTInputSource='DB'
GO
UPDATE VS4TGLTrans Set TGLTCancelStatus=(SELECT TDENCancelStatus FROM VS4TAPDebitNote WHERE VS4TAPDebitNote.tdenno=VS4TGLTrans.tgltno)
WHERE TGLTInputSource='PDB'
GO
UPDATE VS4TGLTrans Set TGLTCancelStatus=0 WHERE TGLTCancelStatus is NULL
GO